package org.dromara.ygpassport.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.ygpassport.domain.bo.BugBo;
import org.dromara.ygpassport.domain.vo.BugVo;

import java.util.Collection;
import java.util.List;
/**
 * Bug信息Service接口
 *
 */
public interface IBugService {
    /**
     * 查询Bug信息
     */
    BugVo queryById(Long id);

    /**
     * 查询Bug信息列表
     */
    TableDataInfo<BugVo> queryPageList(BugBo bo, PageQuery pageQuery);

    /**
     * 查询Bug信息列表
     */
    List<BugVo> queryList(BugBo bo);

    /**
     * 新增Bug信息
     */
    Boolean insertByBo(BugBo bo);

    /**
     * 修改Bug信息
     */
    Boolean updateByBo(BugBo bo);

    /**
     * 校验并批量删除Bug信息信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    List<BugVo> queryByBugCommiter(String bugCommiter);
}
